Skip to content

Get campaigns.

GET
/backend/v1/campaigns

Retrieves a list of campaigns that match the given criteria,
with the option to adjust the limit for more results.

Authorizations

HTTPBearer
Type
HTTP (bearer)

Parameters

Query Parameters

cursor

Selects page for paginated results. Pass in the next or prev attribute in the response

search

Only return results that match the given text.

limit

Limits the amount of results.

Type
integer
Default
10
Maximum
100
Minimum
1
ascending

Whether results should be sorted in ascending order.

Type
boolean
Default
false
before

Only return results from before this timestamp.

after

Only return results from after this timestamp.

vendored

If true, return vendored campaigns created by the system. If not set, returns both.

Default
false
attackTechnique

Filter by campaigns that include an attack of these types.

lastRunBefore

Only return campaigns that last ran before this timestamp.

lastRunAfter

Only return campaigns that last ran after this timestamp.

sortBy

Sort results by the given parameter.

Type
string
Valid values
"name""created_at""last_run""num_of_runs"
Default
"created_at"
includeUsers

Include users.

Type
boolean
Default
false

Responses

Successful Response

application/json
JSON
{
  
"campaigns": [
  
  
{
  
  
  
"attacks": [
  
  
  
  
{
  
  
  
  
  
{
  
  
  
  
  
  
"fileId": "string",
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
"severity": 1,
  
  
  
  
  
  
"technique": "custom"
  
  
  
  
  
}
  
  
  
  
}
  
  
  
],
  
  
  
"createdAt": "string",
  
  
  
"createdBy": "string",
  
  
  
"description": "string",
  
  
  
"id": "string",
  
  
  
"lastRun": "string",
  
  
  
"lastRunAt": "string",
  
  
  
"name": "string",
  
  
  
"runCount": 0,
  
  
  
"vendored": false
  
  
}
  
],
  
"next": "string",
  
"prev": "string",
  
"users": {
  
  
"additionalProperties": {
  
  
  
"admin": true,
  
  
  
"blocked": false,
  
  
  
"createdAt": "string",
  
  
  
"email": "string",
  
  
  
"id": "string",
  
  
  
"lastInvitationSentAt": "string",
  
  
  
"machine": false,
  
  
  
"name": "string",
  
  
  
"org": "string",
  
  
  
"permissions": [
  
  
  
  
[
  
  
  
  
]
  
  
  
],
  
  
  
"roleIds": [
  
  
  
  
[
  
  
  
  
]
  
  
  
],
  
  
  
"roles": [
  
  
  
  
[
  
  
  
  
]
  
  
  
],
  
  
  
"social": false,
  
  
  
"teams": [
  
  
  
  
[
  
  
  
  
]
  
  
  
],
  
  
  
"verified": true
  
  
}
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

Updated at: